Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • ListByFolder
        • Create
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • gRPC request
  • ListBackupRetentionPoliciesRequest
  • ListBackupRetentionPoliciesResponse
  • BackupRetentionPolicy
  • CronTab
  1. API reference
  2. gRPC
  3. BackupRetentionPolicy
  4. List

Managed Service for MongoDB API, gRPC: BackupRetentionPolicyService.List

Written by
Yandex Cloud
Updated at September 4, 2026
View in Markdown
  • gRPC request
  • ListBackupRetentionPoliciesRequest
  • ListBackupRetentionPoliciesResponse
  • BackupRetentionPolicy
  • CronTab

List all retention policies.

gRPC requestgRPC request

rpc List (ListBackupRetentionPoliciesRequest) returns (ListBackupRetentionPoliciesResponse)

ListBackupRetentionPoliciesRequestListBackupRetentionPoliciesRequest

{
  "cluster_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

cluster_id

string

Required field. ID of the MongoDB cluster.
To get the MongoDB cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListBackupRetentionPoliciesResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token
to the ListBackupRetentionPoliciesResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

ListBackupRetentionPoliciesResponseListBackupRetentionPoliciesResponse

{
  "policies": [
    {
      "policy_id": "string",
      "cluster_id": "string",
      "policy_name": "string",
      "created_at": "google.protobuf.Timestamp",
      "cron": {
        "minute": "string",
        "hour": "string",
        "day_of_month": "string",
        "month": "string",
        "day_of_week": "string"
      },
      "retain_for_days": "int64",
      "description": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

policies[]

BackupRetentionPolicy

List of BackupRetentionPolicy associated with the cluster.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListBackupRetentionPoliciesRequest.page_size, use the next_page_token as the value
for the ListBackupRetentionPoliciesRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.

BackupRetentionPolicyBackupRetentionPolicy

Message to describe a retention policy for cluster backups.

Field

Description

policy_id

string

Required field. Required. Policy ID.

cluster_id

string

Required field. Cluster ID.

The maximum string length in characters is 50.

policy_name

string

Required field. Required. Policy name.

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

cron

CronTab

CronTab schedule.

retain_for_days

int64

Retention duration.

description

string

Human-readable description.

CronTabCronTab

Message to describe a crontab schedule.

Field

Description

minute

string

Minute in cron format. Valid values: 0-59, , ranges (0-30), steps (/5), lists (0,15,30,45).
Defaults to "". Support depends on the database engine.

hour

string

Hour in cron format. Valid values: 0-23, , ranges (8-18), steps (/2), lists (0,12).
Defaults to "". Support depends on the database engine.

day_of_month

string

Day of month in cron format. Valid values: 1-31, , ranges (1-15), steps (/2, 1-15/3), lists (1,15,28).
Defaults to "*".

month

string

Month in cron format. Valid values: 1-12, , ranges (1-6), steps (/3), lists (1,6,12).
Defaults to "*".

day_of_week

string

Day of week in cron format. Valid values: 0-7 (0 and 7 both mean Sunday), , ranges (1-5), steps (0-6/2), lists (1,3,5).
Defaults to "
".

Was the article helpful?

Previous
Get
Next
ListByFolder
© 2026 Direct Cursus Technology L.L.C.